Bug 145069 - Xauth/userhelper denials, staff_home_dir_t
Xauth/userhelper denials, staff_home_dir_t
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 21:00 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 19:12:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-01-13 21:00:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
audit(1105656006.565:0): avc:  denied  { read } for  pid=4727
exe=/usr/bin/consolehelper-gtk name=.xauth0cUVYn dev=dm-0 ino=84460
scontext=root:system_r:kudzu_t tcontext=root:object_r:staff_home_t
tclass=file

audit(1105656006.565:0): avc:  denied  { getattr } for  pid=4727
exe=/usr/bin/consolehelper-gtk path=/root/.xauth0cUVYn dev=dm-0
ino=84460 scontext=root:system_r:kudzu_t
tcontext=root:object_r:staff_home_t tclass=file

audit(1105666500.830:0): avc:  denied  { add_name } for  pid=5427
exe=/usr/sbin/userhelper name=.xauthXNHut8
scontext=user_u:user_r:user_userhelper_t
tcontext=root:object_r:staff_home_dir_t tclass=dir

audit(1105666500.830:0): avc:  denied  { create } for  pid=5427
exe=/usr/sbin/userhelper name=.xauthXNHut8
scontext=user_u:user_r:user_userhelper_t
tcontext=user_u:object_r:staff_home_dir_t tclass=file

audit(1105666500.830:0): avc:  denied  { setattr } for  pid=5427
exe=/usr/sbin/userhelper name=.xauthXNHut8 dev=dm-0 ino=84458
scontext=user_u:user_r:user_userhelper_t
tcontext=user_u:object_r:staff_home_dir_t tclass=file

audit(1105666500.832:0): avc:  denied  { search } for  pid=5429
exe=/usr/X11R6/bin/xauth name=root dev=dm-0 ino=81121
scontext=user_u:user_r:user_xauth_t
tcontext=root:object_r:staff_home_dir_t tclass=dir

audit(1105666500.832:0): avc:  denied  { write } for  pid=5429
exe=/usr/X11R6/bin/xauth name=root dev=dm-0 ino=81121
scontext=user_u:user_r:user_xauth_t
tcontext=root:object_r:staff_home_dir_t tclass=dir

audit(1105666500.832:0): avc:  denied  { add_name } for  pid=5429
exe=/usr/X11R6/bin/xauth name=.xauthXNHut8-c
scontext=user_u:user_r:user_xauth_t
tcontext=root:object_r:staff_home_dir_t tclass=dir

audit(1105666500.832:0): avc:  denied  { create } for  pid=5429
exe=/usr/X11R6/bin/xauth name=.xauthXNHut8-c
scontext=user_u:user_r:user_xauth_t
tcontext=user_u:object_r:staff_home_dir_t tclass=file

audit(1105666500.832:0): avc:  denied  { link } for  pid=5429
exe=/usr/X11R6/bin/xauth name=.xauthXNHut8-c dev=dm-0 ino=84459
scontext=user_u:user_r:user_xauth_t
tcontext=user_u:object_r:staff_home_dir_t tclass=file

audit(1105666500.832:0): avc:  denied  { write } for  pid=5429
exe=/usr/X11R6/bin/xauth name=.xauthXNHut8 dev=dm-0 ino=84458
scontext=user_u:user_r:user_xauth_t
tcontext=user_u:object_r:staff_home_dir_t tclass=file

audit(1105666500.832:0): avc:  denied  { read } for  pid=5429
exe=/usr/X11R6/bin/xauth name=.xauthXNHut8 dev=dm-0 ino=84458
scontext=user_u:user_r:user_xauth_t
tcontext=user_u:object_r:staff_home_dir_t tclass=file



Version-Release number of selected component (if applicable):
selinux-policy-strict-1.21.1-1

How reproducible:
Didn't try

Steps to Reproduce:

    

Additional info:
Comment 1 Ivan Gyurdiev 2005-01-20 19:12:38 EST
Closing this bug until I can confirm and reproduce in
enforcing mode. Seems to have disappeared.

Note You need to log in before you can comment on or make changes to this bug.